<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('branches', function (Blueprint $table) {
            $table->bigIncrements('B_ID');
            $table->integer('C_ID')->nullable();
             $table->string('B_NAME',100)->nullable();
            $table->string('C_CON_NAME',200)->nullable();
            $table->string('C_CON_PHONE',100)->nullable();
            $table->integer('R_ID')->nullable();
            $table->integer('status')->default(0);
         
            
           
            $table->tinyInteger('added_by')->nullable();
            $table->date('added_on')->nullable();





        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('branches');
    }
};
